<?php

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| API Routes
|--------------------------------------------------------------------------
|
| Here is where you can register API routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| is assigned the "api" middleware group. Enjoy building your API!
|
*/

Route::middleware('auth:api')->get('/user', function (Request $request) {
    return $request->user();
});
Route::get('/iswinner', [\App\Http\Controllers\API\PrizingTaskController::class, 'checkIfWinner'])->name("Check If Winner");
Route::get('/winnerdata', [\App\Http\Controllers\API\PrizingTaskController::class, 'saveWinner'])->name("Save Winner");
Route::get('/sendtombolanum', [\App\Http\Controllers\API\PrizingTaskController::class, 'sendTombolaNum'])->name("Send Tombola Number");


Route::get('/generaterandomwinner', [\App\Http\Controllers\API\PrizingTaskController::class, 'generateRandon75'])->name("Generate Random Controller");
Route::get('/savebigpossiblewinner', [\App\Http\Controllers\API\PrizingTaskController::class, 'saveBigPossibleWinner'])->name("Save Big Possible Winner");

Route::post('/storegeneralwinner', [\App\Http\Controllers\API\PrizingTaskController::class, 'storegeneralwinner'])->name("Store General Big Possible Winner");


Route::get('/randombigpossiblewinner', [\App\Http\Controllers\API\PrizingTaskController::class, 'randomBigPossibleWinner'])->name("Random Big Possible Winner");
Route::get('/randombigpossiblewinner25', [\App\Http\Controllers\API\PrizingTaskController::class, 'randomBigPossibleWinner2'])->name("Random Big Possible Winner Yaoundé");
Route::get('/listbigpossiblewinner', [\App\Http\Controllers\API\PrizingTaskController::class, 'listPossibleWinner'])->name("List Big Possible Winner");

Route::get('/savebigwinner', [\App\Http\Controllers\API\PrizingTaskController::class, 'saveageneralWinner'])->name("Save Big  Winner");

Route::get('/listbigwinner', [\App\Http\Controllers\API\PrizingTaskController::class, 'generalwiners'])->name("List Big  Winner");

Route::get('/cleardata', [\App\Http\Controllers\API\PrizingTaskController::class, 'clearAllData'])->name("Clear all Data");




Route::resource('players', App\Http\Controllers\API\PlayerAPIController::class);

Route::resource('product_daily_win_times', App\Http\Controllers\API\ProductDailyWinTimeAPIController::class);

Route::resource('product_in_promos', App\Http\Controllers\API\ProductInPromoAPIController::class);

Route::resource('product_in_promo_by_days', App\Http\Controllers\API\ProductInPromoByDayAPIController::class);


Route::resource('send_sms_cmrs', App\Http\Controllers\API\SendSmsCmrAPIController::class);


Route::resource('winner_selecteds', App\Http\Controllers\API\WinnerSelectedAPIController::class);


Route::resource('winner_general_selecteds', App\Http\Controllers\API\WinnerGeneralSelectedAPIController::class);
